Skip to content

Update card details

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Update card details

Security
oauth2ClientCredentials(Required scopes: cards:write)
Path
idstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X PUT \
  'https://developer.boyahq.com/_mock/v2/openapi/cards/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Card updated successfully

Bodyapplication/json
_idstring

Card MongoDB ID

vcnstring

Virtual card number (raw)

refstring

Card reference

last4string

Last 4 digits of card

binstring

BIN number

namestring

Card name/label

brandstring

Card brand (VISA, Mastercard, etc.)

providerstring

Card provider/issuer

employeeobject(EmployeeDto)

Employee details

businessstring

Business ID

accountstring

Account ID

userstring

User ID

exp_monthstring

Expiration month (MM)

exp_yearstring

Expiration year (YY or YYYY)

basis_fingerprintstring

Basis fingerprint for security

blockedboolean

Is card blocked

retiredboolean

Is card retired

dormantboolean

Is card dormant

purgedboolean

Is card purged

verifiedboolean

Is card verified

is_virtualboolean

Is virtual card

is_offlineboolean

Is offline card

physical_pin_setboolean

Physical PIN is set

subscription_cardboolean

Is subscription card

balancenumber

Current card balance

currencystring

Card currency

tracking_numberstring

Card delivery tracking number

issued_onstring

Card issued on timestamp

issued_bystring

Card issued by user

updated_bystring

Card updated by user

blocked_bystring

Blocked by user ID

frisknumber

Risk/frisk level

wallet_typestring

Wallet type

works_only_atArray of strings

Places where card works only

works_only_at_midArray of strings

MID restrictions for works_only_at

works_everywhere_exceptArray of strings

Places where card is blocked

category_spend_limitsArray of objects

Category spending limits

eventsArray of objects

Card events history

org_wallet_refnumber

Organization wallet reference

createdAtstring

Created timestamp

updatedAtstring

Updated timestamp

__vnumber

Version key

statusDisplaystring

Card status display name

typeDisplaystring

Card type display name

isActiveboolean

Is card active

isExpiredboolean

Is card expired

expiryFormattedstring

Formatted expiry date

employeeNamestring

Employee name from employee object

employeeIdstring

Employee ID from employee object

approval_requestobject(ApprovalRequestDto)

Approval request object — present only for SINGLE USE PREPAID cards

Response
{ "_id": "string", "vcn": "string", "ref": "string", "last4": "string", "bin": "string", "name": "string", "brand": "string", "provider": "string", "employee": { "_id": "string", "name": "string", "employee_id": "string", "role": "string" }, "business": "string", "account": "string", "user": "string", "exp_month": "string", "exp_year": "string", "basis_fingerprint": "string", "blocked": true, "retired": true, "dormant": true, "purged": true, "verified": true, "is_virtual": true, "is_offline": true, "physical_pin_set": true, "subscription_card": true, "balance": 0, "currency": "string", "tracking_number": "string", "issued_on": "string", "issued_by": "string", "updated_by": "string", "blocked_by": "string", "frisk": 0, "wallet_type": "string", "works_only_at": [ "string" ], "works_only_at_mid": [ "string" ], "works_everywhere_except": [ "string" ], "category_spend_limits": [ {} ], "events": [ {} ], "org_wallet_ref": 0, "createdAt": "string", "updatedAt": "string", "__v": 0, "statusDisplay": "string", "typeDisplay": "string", "isActive": true, "isExpired": true, "expiryFormatted": "string", "employeeName": "string", "employeeId": "string", "approval_request": { "ref": "string", "narrative": "string", "initiated_by": "string", "initiated_on": "string", "business": "string", "status": 0, "is_batch": true, "action_type": 0, "mandate": 0, "participants": [], "records": [], "org_wallet_ref": "string", "card": "string", "auto_approve": true, "source": "string", "attachments": [], "createdAt": "string", "updatedAt": "string" } }